/* Object in the scene */

typedef struct 
{
    RwV3d vPos;                   /* Position in world */
    void (* fpRender)(void *o);   /* Function to render object */
    void (* fpUpdate)(void *o);   /* Function to update */
    void (* fpDestroy)(void *o);  /* Function to destroy */
    void *pExtra;                 /* Points to extra information */
    RwClump *cpClump;
} Object;

void ObjectDelete(Object *opObj);
void ObjectSetup(Object *opObj,RwReal x,RwReal y,RwReal z,RwClump *cpClump);

void AllObjectsUpdate(void);
int AllObjectsSetup(void);
void AllObjectsAddObject(Object *opObj);
void AllObjectsDestroy(void);
void AllObjectsRender(void);
int AddStaticObject(RwReal x,RwReal y,RwReal z,char *name);


